#
# spec file for package rp-pppoe
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if %{?rel:0}%{!?rel:1}
%define rel 1
%endif

Name:           rp-pppoe
Summary:        A PPP Over Ethernet Redirector for PPPD
License:        GPL-2.0+
Group:          Productivity/Networking/PPP
Version:        3.11
Release:        6.6
Source:         http://www.roaringpenguin.com/pppoe/rp-pppoe-%{version}.tar.bz2
Url:            http://www.roaringpenguin.com/pppoe
#Patch0:         init-suse.diff
Patch1:         docdir.diff
Patch2:         nonrfc-modems.diff
Patch3:         logger-path.diff
Patch5:         release-buildsystem.diff
Patch6:         resolve-conf.diff
Patch8:         strip.diff
Patch10:        %{name}-3.10-init.patch
Patch11:        %{name}-3.10-config.patch
Patch12:        rp-pppoe-pie.patch
Requires:       ppp >= 2.3.7
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq %fillup_prereq
BuildRequires:  ppp
#----------------------------------------------------------------------------------

%description
rp-pppoe is a user-space redirector which permits the use of PPPoE
(Point-to-Point Protocol Over Ethernet) with Linux. PPPoE is used by
many ADSL service providers.



Authors:
--------
    David F. Skoll <http://www.roaringpenguin.com>

%prep
#----------------------------------------------------------------------------------
%setup -q
#%patch0
%patch1
%patch2
%patch3
%patch5
%patch6
%patch8
%patch10 -p1
%patch11 -p1
%patch12
#----------------------------------------------------------------------------------

%build
#----------------------------------------------------------------------------------
cd src
CFLAGS=$RPM_OPT_FLAGS \
%configure
%{__make}
cd ../gui
%{__make}
#----------------------------------------------------------------------------------

%install
#----------------------------------------------------------------------------------
cd src
%{__make} install DESTDIR=$RPM_BUILD_ROOT
%{__ln_s} -f ../../etc/init.d/pppoe $RPM_BUILD_ROOT%{_sbindir}/rcpppoe
cd ../gui
%{__make} install DESTDIR=$RPM_BUILD_ROOT
%{__install} -d  $RPM_BUILD_ROOT%_defaultdocdir/rp-pppoe
%{__mv} $RPM_BUILD_ROOT/etc/ppp/plugins/README $RPM_BUILD_ROOT%_defaultdocdir/rp-pppoe/README.plugins
%{__rm} -rf $RPM_BUILD_ROOT/etc/ppp/plugins
#----------------------------------------------------------------------------------

%clean
#----------------------------------------------------------------------------------
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && %{__rm} -rf $RPM_BUILD_ROOT
#----------------------------------------------------------------------------------

%preun
#----------------------------------------------------------------------------------
%stop_on_removal pppoe
#----------------------------------------------------------------------------------

%post
#----------------------------------------------------------------------------------
%{fillup_and_insserv pppoe}
#----------------------------------------------------------------------------------

%postun
#----------------------------------------------------------------------------------
%restart_on_update pppoe
%{insserv_cleanup}
#----------------------------------------------------------------------------------

%files
#----------------------------------------------------------------------------------
%defattr(-,root,root)
%dir %_defaultdocdir/rp-pppoe
%doc %_defaultdocdir/rp-pppoe/*
%config(noreplace) /etc/ppp/pppoe.conf
%config(noreplace) /etc/ppp/pppoe-server-options
%config(noreplace) /etc/ppp/firewall-masq
%config(noreplace) /etc/ppp/firewall-standalone
%{_bindir}/tkpppoe
%{_sbindir}/pppoe
%{_sbindir}/pppoe-server
%{_sbindir}/pppoe-sniff
%{_sbindir}/pppoe-relay
%{_sbindir}/pppoe-connect
%{_sbindir}/pppoe-start
%{_sbindir}/pppoe-stop
%{_sbindir}/pppoe-setup
%{_sbindir}/pppoe-status
%attr (4750,root,dialout) %{_sbindir}/pppoe-wrapper
%{_sbindir}/rcpppoe
%{_mandir}/man5/pppoe.conf.5*
%{_mandir}/man8/pppoe.8*
%{_mandir}/man8/pppoe-server.8*
%{_mandir}/man8/pppoe-relay.8*
%{_mandir}/man8/pppoe-sniff.8*
%{_mandir}/man8/pppoe-connect.8*
%{_mandir}/man8/pppoe-start.8*
%{_mandir}/man8/pppoe-stop.8*
%{_mandir}/man8/pppoe-status.8*
%{_mandir}/man8/pppoe-setup.8*
/etc/init.d/pppoe
%dir /etc/ppp/rp-pppoe-gui
%{_mandir}/man1/tkpppoe.1*
%{_mandir}/man1/pppoe-wrapper.1*
%dir /usr/share/tkpppoe
/usr/share/tkpppoe/tkpppoe.html
/usr/share/tkpppoe/mainwin-busy.png
/usr/share/tkpppoe/mainwin-nonroot.png
/usr/share/tkpppoe/mainwin.png
/usr/share/tkpppoe/props-advanced.png
/usr/share/tkpppoe/props-basic.png
/usr/share/tkpppoe/props-nic.png
/usr/share/tkpppoe/props-options.png
/usr/share/tkpppoe/en.msg
/usr/share/tkpppoe/ja.msg
#----------------------------------------------------------------------------------
#----------------------------------------------------------------------------------

%changelog
* Tue Apr 23 2013 binli@opensuse.org
- update to version 3.11
  * Make the rp-pppoe.so plugin avoid calling exit() if
    the "persist" pppd option was given.
  * Get rid of hard-coded nobsdcomp, nodeflate, novj and novjccomp
    options in pppoe-server.
  * Handle UNIT=xxx directive in pppoe-connect.
  * Add "-i" flag to pppoe-server to ignore PADIs if there are
    no free sessions.
  * Add "-X <pidfile>" option to pppoe-server.
  * In plugin, don't set devnam if it's already set.
  * Eliminate race condition in signal handling.
  * pppoe-server: Add -q and -Q options to allow specification of
    path to pppd and pppoe programs respectively.
  * Add a few more sanity checks to pppoe-server packet handling.
* Tue Jan 24 2012 crrodriguez@opensuse.org
- build pppoe-wrapper with PIE and full RELRO
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Fri May  8 2009 chris@computersalat.de
- new patch for init script
  o added reload
  o rework of status
- added config patch
* Wed Apr 15 2009 chris@computersalat.de
- beautify spec
* Fri Jul  4 2008 hvogel@suse.de
- update to version 3.10
  * some compilation fixes
  * pppoe-server has new "-x" option to limit the number of sessions
    per MAC address.
  * Added proper timeout handling while waiting for PADO/PADS.
  * Fix race condition with some access concentrators
* Thu Feb 21 2008 crrodriguez@suse.de
- add missing remote_fs dependency in the init script
- fix/add missing calls to restart_on_update and stop_on_removal macros
* Thu Jul 13 2006 mskibbe@suse.de
- update to version 3.8 which
  o Adjusted code and made it possible to disable debugging code
    to shrink size of pppoe executable.
  o Fixed bug in MD5 code that caused pppoe-server to segfault on
    64-bit machines.
  o Made various functions and variables static that didn't need
    to be visible outside their source files.
* Fri May 26 2006 schwab@suse.de
- Use RPM_OPT_FLAGS.
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 17 2005 arvin@suse.de
- updated to version 3.7
  - pppoe-server prepends "nic-" to interface name if used with
    kernel-mode plugin
  - added -O option to pppoe-server that specify a different
    default options file for pppd
* Wed Sep 21 2005 arvin@suse.de
- updated to version 3.6:
  - Changed the names of commands from adsl-* to pppoe-* to
    more logically name the scripts (incompatibility)
  - Changed sample firewall scripts to use iptables instead of
    the old ipchains command
* Wed Jan 19 2005 arvin@suse.de
- fixed build on s390 by compiling without -ansi
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Fri Sep  5 2003 ro@suse.de
- fix typo in specfile
* Fri Sep  5 2003 kukuk@suse.de
- Add %%attr to get filelist in sync with /etc/permissions*
* Fri Jun 13 2003 nashif@suse.de
- Added %%dir to created directories
* Thu May 15 2003 nashif@suse.de
- Fixed init script syntax (bug #26248)
- Fixed file list
* Mon Mar 10 2003 nashif@suse.de
- dont link /etc/resolv.conf, done by ip-up ( #15707)
* Tue Oct  1 2002 nashif@suse.de
- Don't check for release file
* Mon Sep 30 2002 nashif@suse.de
- fixed bug #20327: wrong path to logger in scripts
* Mon Aug 19 2002 kukuk@suse.de
- fixed compilation on UL
* Sun Aug 18 2002 nashif@suse.de
- Fixed bug #17866: Added PreReq
* Sat Aug 10 2002 nashif@suse.de
- Fix bug #17465: detect non-rfc modems
- Fix bug #17466: use netfilter instead of ipchains
* Mon Jul 29 2002 nashif@suse.de
- update to 3.5
* Mon Jan 14 2002 ro@suse.de
- removed START_ADSL
* Sat Oct 20 2001 nashif@suse.de
- Update to 3.3
  * Client works on Solaris again.  It was broken in 3.2.
  * Added DEFAULTROUTE=yes|no option to configuration file.
  * Server parses address pool file better.
  * Server address pool allows ranges of addresses on a line: a.b.c.d-e
  * Added "-d" (=debug) and "-P" (=check pool file syntax) options to
    pppoe-server.
* Fri Aug  3 2001 nashif@suse.de
- Update to version 3.2
* Thu Jun 28 2001 nashif@suse.de
- Fixed bug #8966
- bzipped sources
* Sat Apr 21 2001 nashif@suse.de
- Fixed documentation path in GUI
- Added GUI documentation
* Thu Apr  5 2001 nashif@suse.de
- Fixed init script (Use rc_status)
* Tue Apr  3 2001 nashif@suse.de
- Update to version 3.0
* Thu Mar  1 2001 nashif@suse.de
- Update to version 2.8
- Fixed headers
* Fri Dec 22 2000 nashif@suse.de
- Added obosletes and provides tags
* Wed Dec 13 2000 nashif@suse.de
- Update to 2.5 (Fixes security problem)
* Sat Dec  9 2000 nashif@suse.de
- Update to 2.4
- Fix rcadsl link
- Changed name tp rp-pppoe
* Wed Nov 29 2000 nashif@suse.de
- Use insserv
* Fri Sep 22 2000 nashif@suse.de
- Updated to 2.3
* Thu May 25 2000 nashif@suse.de
- Updated to 1.9
- Added init script
* Sun May  7 2000 nashif@suse.de
- Update to version 1.8
* Wed Mar 29 2000 nashif@suse.de
- Update to version 1.7
- Fixed Group & Buildroot tag
* Wed Feb 23 2000 nashif@suse.de
- Initial Release (Version 1.3)
